Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.net
Class LoadBalancer.RequestHandler

`java.lang.Object
com.tangosol.util.Base
com.tangosol.util.Daemon
com.tangosol.net.LoadBalancer.SocketHandler
com.tangosol.net.LoadBalancer.RequestHandler`

All Implemented Interfaces:
  Guardable, Runnable

Enclosing class:
  LoadBalancer

      public class LoadBalancer.RequestHandler

extends LoadBalancer.SocketHandler

A RequestHandler is a daemon thread that processes a request from a queue.

Nested Class Summary

Nested classes/interfaces inherited from class com.tangosol.util.Daemon
`Daemon.DaemonWorker`

Field Summary
`protected LoadBalancer.ResponseHandler` | `m_daemonResponse` The ResponseHandler that handles the server-to-client response routing corresponding to requests routed client-to-server by this daemon.
`protected LoadBalancer.Queue` | `m_queue` The Queue that this RequestHandler listens to connections (Socket) on.

Fields inherited from class com.tangosol.net.LoadBalancer.SocketHandler
`m_abBuf`

Constructor Summary
`LoadBalancer.RequestHandler(LoadBalancer.Queue queue)` Constructs a RequestHandler that will pull request connections (Socket objects) from a Queue.

Method Summary
`void` | `run()` Processing loop for the RequestHandler daemon.

Methods inherited from class com.tangosol.net.LoadBalancer.SocketHandler
`copy, ensureBuffer, process`

Methods inherited from class com.tangosol.util.Daemon
`changeState, configureWorker, finishStarting, finishStopping, getConfiguredName, getConfiguredPriority, getContext, getDescription, getGuardRegisterAction, getMaxWaitMillis, getState, getThread, getThreadContextClassLoader, getWorker, guardIfNeeded, heartbeat, heartbeat, instantiateWorker, isGuarded, isOnWorkerThread, isRunning, isStopping, recover, setConfiguredName, setConfiguredPriority, setContext, setGuardPolicy, setGuardRegisterAction, setThreadContextClassLoader, shutdown, start, stop, terminate, toStateString, toString`

Field Detail

### m_queue

    protected LoadBalancer.Queue m_queue

  The Queue that this RequestHandler listens to connections (Socket) on.

### m_daemonResponse

    protected LoadBalancer.ResponseHandler m_daemonResponse

  The ResponseHandler that handles the server-to-client response routing corresponding to requests routed client-to-server by this daemon.

Constructor Detail

### LoadBalancer.RequestHandler

    public LoadBalancer.RequestHandler(LoadBalancer.Queue queue)

  Constructs a RequestHandler that will pull request connections (Socket objects) from a Queue.
  Parameters:
    `queue` - a Queue of Socket objects

Method Detail

### run

    public void run()

  Processing loop for the RequestHandler daemon.
  Specified by:
    `run` in interface `Runnable`
  Specified by:
    `run` in class `LoadBalancer.SocketHandler`
  See Also:
    `Thread.run()`

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.